## Class ExceptionTable

    java.lang.Object
      |
      +--ExceptionTable

public class ExceptionTable
extends java.lang.Object

Field Summary
`private short` `catch_type`
`private short` `end_pc`
`private short` `handler_pc`
`private short` `start_pc`

Constructor Summary
`ExceptionTable()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start_pc

    private short start_pc

### end_pc

    private short end_pc

### handler_pc

    private short handler_pc

### catch_type

    private short catch_type

Constructor Detail

### ExceptionTable

    public ExceptionTable()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)